#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD6,0x5D,0x84,0x04,0xE0,0xEE,0xBB,0xEC,0x4D,0x21,0x4D,0x79,
		0xFC,0xB4,0xC2,0x06,0x2F,0xF8,0xC6,0x83,0xFD,0xDA,0x4F,0xE9,
		0x93,0xBC,0xC5,0xB0,0xD0,0x62,0x66,0xF9,0x1C,0x5E,0x3B,0xE5,
		0xF5,0x22,0x35,0x84,0x97,0x3D,0x47,0x80,0x61,0x78,0x00,0x07,
		0xDC,0x9A,0x4B,0xC2,0x09,0xBF,0x35,0xFA,0x7A,0xE6,0xD6,0xA2,
		0x0E,0x6F,0x3D,0x4B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
